<script>
import { clock_radius, scaleRadius_c, scaleRadius_h,yearly } from "./store_2";
 import { scaleLinear } from "d3-scale";
 import { lineRadial } from "d3-shape";




export let data = {};


let lineRadialGenerator = lineRadial();

let data_c = (d)=>{
    let result = [];
    d.forEach((value, idx)=>{
        result.push([yearly(idx),scaleRadius_c(value)])
    }
    )
        return result;
}

let data_h = (d)=>{
    let result = [];
    d.forEach((value, idx)=>{
        result.push([yearly(idx),scaleRadius_h(value)])
    })
      return result;

}



</script>

<style>
    .cooling {
        stroke: none;
        fill: blue;
        fill-opacity: 0.7;
    }
    .heating {
        stroke: none;
        fill: red;
        fill-opacity: 0.7;

    }
</style>

<path class="heating" d={lineRadialGenerator(data_h(data["heating_values"]))}/>

<path class="cooling" d={lineRadialGenerator(data_c(data["cooling_values"]))}/>





